Subject: bug#1092: compilation-goto-error goes to wrong location when buffer has hidden regions

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Jan 2016 18:53:13 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 03 Jan 2016 11:06:19 -0500
> 
> >> There are several problems with selective-display:
> >> - first and foremost, the variable provides 2 different features:
> >> - when set to t, it makes CR behave specially (it's a special
> >> line-separator that makes the next line invisible).
> >> - when set to a number, it makes all lines indented deeper than this
> >> number invisible.
> > Why is that a problem?
> 
> It's not a problem in itself, no.  But it means that if you want to
> obsolete only one of the two uses, you can't just mark the variable
> as obsolete.

We cannot declare it obsolete without replacement features in place to
which we can point.

> > I wish every rarely used display feature was so lightweight as
> > selective-display.
> 
> It's not lightweight on the Elisp side where you need to add a lot of
> extra code in ever more places to handle the special meaning of \r in
> that rare case.

I don't see any problem with that, either.  Our Lisp code is full of
special cases anyway.

> > Anyway, I don't see how this report of a minor bug should trigger such
> > far-reaching conclusions.  It took me all of 5 minutes to fix it; we
> > should have done this 7 years ago.  I'm sorry we didn't, but better
> > late than never.
> 
> I think the fix is worse than the problem, personally.

Yes, we disagree.